{% extends 'index.html' %}
{% block content %}
<div class="card-buttons">
    <button class="card-button card-button-center" id = "exibirAdocoes" style = "padding-left: 10px; padding-right: 10px; margin-right: 20px;">Exibir Pedidos Já Vistos</button>
    <button class="card-button card-button-center" id = "exibirNaoVisto" style = "padding-left: 10px; padding-right: 10px; margin-right: 20px;">Exibir Pedidos Não Vistos</button>
    <button class="card-button card-button-center" id = "exibirRelatorio" style = "padding-left: 10px; padding-right: 10px; margin-right: 20px;">Exibir Relatórios Já Vistos</button>
    <button class="card-button card-button-center" id = "exibirNaoVistoRelatorio" style = "padding-left: 10px; padding-right: 10px;">Exibir Relatórios Não Vistos</button>
</div>
<div id = "animais">
    {% set ns = namespace(items=-1) %}
    {% for adocao in adocoes %}
        {% set ns.items = ns.items + 1 %}
        {% if adocao[11] and adocao[7] %}
            <div class="card">
                <i class="fas fa-times card-action"></i>
                <div class="card-img">
                    <img src={{ url_for('static', filename='img/animais/' + adocao[13]) }} alt="Imagem de paisagem">
                    {% set idanimal =  ns.items ~ '' %}
                    <h1>{{'Alguém deseja adotar o Pet: '}}{{adocao[1]}}</h1>
                </div>
                <h2>{{'Interessado: '}}{{adocao[7]}}</h2>
                </br>
                <div class="card-buttons">
                    <button class="card-button card-button-center" style = "padding-left: 10px; padding-right: 10px;" onclick="exibirDados({{idanimal}})">Exibir Dados</button>
                    <button class="card-button card-button-center"  style = "padding-left: 10px; padding-right: 10px;" onclick="ocultarDados({{idanimal}})">Ocultar Dados</button>
                </div>
                </br>
                <div class = "dados-animal" id = {{idanimal}}>
                    <h2>Dados do Animal</h2>
                    <h3>{{'Nome do PET: '}}{{adocao[1]}}</h3>
                    <h3>{{'Data de Nascimento: '}}{{adocao[2].strftime("%d-%b-%Y")}}</h3>
                    <h3>{{'Peso (Kg): '}}{{adocao[3]}}</h3>
                    <h3>{{'Tamanho (cm): '}}{{adocao[4]}}</h3>
                    <h3>{{'Tipo do Pêlo: '}}{{adocao[5]}}</h3>
                    {% if adocao[6] %}
                        <h3>{{'Está Adotado? '}}{{'Sim'}}</h3>
                    {% else %}
                        <h3>{{'Está Adotado? '}}{{'Não'}}</h3>
                    {% endif %}
                </br>
                <h2>Dados da Adoção</h2>
                <h3>{{'Nome do Interessado: '}}{{adocao[7]}}</h3>
                <h3>{{'RG: '}}{{adocao[8]}}</h3>
                <h3>{{'Telefone: '}}{{adocao[9]}}</h3>
                <h3>{{'E-Mail: '}}{{adocao[10]}}</h3>
                </div>
            </div>
        {% endif %}
    {% endfor %}
</div>

<div id = "animais2">
        {% set ns = namespace(items=ns.items + 1) %}
        {% for adocao in adocoes %}
            {% set ns.items = ns.items + 1 %}
            {% if not adocao[11] and adocao[7] %}
                <div class="card">
                    <i class="fas fa-times card-action"></i>
                    <div class="card-img">
                        <img src={{ url_for('static', filename='img/animais/' + adocao[13]) }} alt="Imagem de paisagem">
                        {% set idanimal =  ns.items ~ '' %}
                        <h1>{{'Alguém deseja adotar o Pet: '}}{{adocao[1]}}</h1>
                    </div>
                    <h2>{{'Interessado: '}}{{adocao[7]}}</h2>
                    </br>
                    <div class="card-buttons">
                        <button class="card-button card-button-center" style = "padding-left: 10px; padding-right: 10px;" onclick="exibirDados({{idanimal}})">Exibir Dados</button>
                        <button class="card-button card-button-center"  style = "margin-left: 20px; margin-right: 20px; padding-left: 10px; padding-right: 10px;" onclick="marcarVisto({{adocao[12]}}, 'adocao')">Marcar Como Visto</button>
                        <button class="card-button card-button-center"  style = "padding-left: 10px; padding-right: 10px;" onclick="ocultarDados({{idanimal}})">Ocultar Dados</button>
                    </div>
                    </br>
                    <div class = "dados-animal2" id = {{idanimal}}>
                        <h2>Dados do Animal</h2>
                        <h3>{{'Nome do PET: '}}{{adocao[1]}}</h3>
                        <h3>{{'Data de Nascimento: '}}{{adocao[2].strftime("%d-%b-%Y")}}</h3>
                        <h3>{{'Peso (Kg): '}}{{adocao[3]}}</h3>
                        <h3>{{'Tamanho (cm): '}}{{adocao[4]}}</h3>
                        <h3>{{'Tipo do Pêlo: '}}{{adocao[5]}}</h3>
                        {% if adocao[6] %}
                            <h3>{{'Está Adotado? '}}{{'Sim'}}</h3>
                        {% else %}
                            <h3>{{'Está Adotado? '}}{{'Não'}}</h3>
                        {% endif %}
                    </br>
                    <h2>Dados da Adoção</h2>
                    <h3>{{'Nome do Interessado: '}}{{adocao[7]}}</h3>
                    <h3>{{'RG: '}}{{adocao[8]}}</h3>
                    <h3>{{'Telefone: '}}{{adocao[9]}}</h3>
                    <h3>{{'E-Mail: '}}{{adocao[10]}}</h3>
                    </div>
                </div>
            {% endif %}
        {% endfor %}
    </div>

    <div id = "relatorios">
        {% set ns = namespace(items=ns.items + 1) %}
        {% for relatorio in relatorios %}
            {% set ns.items = ns.items + 1 %}
            {% if relatorio [12] and relatorio[7] %}
                <div class="card">
                    <i class="fas fa-times card-action"></i>
                    <div class="card-img">
                        <img src={{ url_for('static', filename='img/relatorios/' + relatorio[14]) }} alt="Imagem de paisagem">
                        {% set idanimal =  ns.items ~ '' %}
                        <h1>{{'Alguém notificou  condição anormal do Pet: '}}{{relatorio[1]}}</h1>
                    </div>
                    <h2>{{'Responsável: '}}{{relatorio[7]}}</h2>
                    </br>
                    <div class="card-buttons">
                        <button class="card-button card-button-center" style = "padding-left: 10px; padding-right: 10px;" onclick="exibirDados({{idanimal}})">Exibir Dados</button>
                        <button class="card-button card-button-center"  style = "padding-left: 10px; padding-right: 10px;" onclick="ocultarDados({{idanimal}})">Ocultar Dados</button>
                    </div>
                    </br>
                    <div class = "dados-relatorio" id = {{idanimal}}>
                        <h2>Dados do Animal</h2>
                        <h3>{{'Nome do PET: '}}{{relatorio[1]}}</h3>
                        <h3>{{'Data de Nascimento: '}}{{relatorio[2].strftime("%d-%b-%Y")}}</h3>
                        <h3>{{'Peso (Kg): '}}{{relatorio[3]}}</h3>
                        <h3>{{'Tamanho (cm): '}}{{relatorio[4]}}</h3>
                        <h3>{{'Tipo do Pêlo: '}}{{relatorio[5]}}</h3>
                        {% if relatorio[6] %}
                            <h3>{{'Está Adotado? '}}{{'Sim'}}</h3>
                        {% else %}
                            <h3>{{'Está Adotado? '}}{{'Não'}}</h3>
                        {% endif %}
                    </br>
                    <h2>Dados do Relatório</h2>
                    <h3>{{'Nome do Responsável: '}}{{relatorio[7]}}</h3>
                    <h3>{{'Telefone: '}}{{relatorio[8]}}</h3>
                    <h3>{{'E-Mail: '}}{{relatorio[9]}}</h3>
                    <h3>{{'Data de Observação: '}}{{relatorio[10]}}</h3>
                    <h3>{{'Condição do Animal: '}}{{relatorio[11]}}</h3>
                    </div>
                </div>
            {% endif %}
        {% endfor %}
    </div>
    
    <div id = "relatorios2">
        {% set ns = namespace(items=ns.items + 1) %}
        {% for relatorio in relatorios %}
            {% set ns.items = ns.items + 1 %}
            {% if not relatorio [12] and relatorio[7] %}
                <div class="card">
                    <i class="fas fa-times card-action"></i>
                    <div class="card-img">
                        <img src={{ url_for('static', filename='img/relatorios/' + relatorio[14]) }} alt="Imagem de paisagem">
                        {% set idanimal =  ns.items ~ '' %}
                        <h1>{{'Alguém notificou  condição anormal do Pet: '}}{{relatorio[1]}}</h1>
                    </div>
                    <h2>{{'Responsável: '}}{{relatorio[7]}}</h2>
                    </br>
                    <div class="card-buttons">
                        <button class="card-button card-button-center" style = "padding-left: 10px; padding-right: 10px;" onclick="exibirDados({{idanimal}})">Exibir Dados</button>
                        <button class="card-button card-button-center"  style = "margin-left: 20px; margin-right: 20px; padding-left: 10px; padding-right: 10px;" onclick="marcarVisto({{relatorio[13]}}, 'relatorio')">Marcar Como Visto</button>
                        <button class="card-button card-button-center"  style = "padding-left: 10px; padding-right: 10px;" onclick="ocultarDados({{idanimal}})">Ocultar Dados</button>
                    </div>
                    </br>
                    <div class = "dados-relatorio2" id = {{idanimal}}>
                        <h2>Dados do Animal</h2>
                        <h3>{{'Nome do PET: '}}{{relatorio[1]}}</h3>
                        <h3>{{'Data de Nascimento: '}}{{relatorio[2].strftime("%d-%b-%Y")}}</h3>
                        <h3>{{'Peso (Kg): '}}{{relatorio[3]}}</h3>
                        <h3>{{'Tamanho (cm): '}}{{relatorio[4]}}</h3>
                        <h3>{{'Tipo do Pêlo: '}}{{relatorio[5]}}</h3>
                        {% if relatorio[6] %}
                            <h3>{{'Está Adotado? '}}{{'Sim'}}</h3>
                        {% else %}
                            <h3>{{'Está Adotado? '}}{{'Não'}}</h3>
                        {% endif %}
                    </br>
                    <h2>Dados do Relatório</h2>
                    <h3>{{'Nome do Responsável: '}}{{relatorio[7]}}</h3>
                    <h3>{{'Telefone: '}}{{relatorio[8]}}</h3>
                    <h3>{{'E-Mail: '}}{{relatorio[9]}}</h3>
                    <h3>{{'Data de Observação: '}}{{relatorio[10]}}</h3>
                    <h3>{{'Condição do Animal: '}}{{relatorio[11]}}</h3>
                    </div>
                </div>
            {% endif %}
        {% endfor %}
    </div>

<script src={{ url_for('static', filename='js/jquery.js') }} type="text/javascript"></script>
<script src={{ url_for('static', filename='js/feed.js') }} type="text/javascript"></script>
{% endblock %}